#include <iostream>
#include<fstream>
using namespace std;
int prime(long int n)
{
	long int x=0;
	if((n==0)||(n==1)) return 0;

	else
	{
		for(int i=2;i*i<=n;i++)
		{
			if(n%i==0) {x++;return 0;break;};
		}
	}
	if(x==0) return 1;
}
int main()
{
	long int n;
	ifstream f1("dnton.inp");
	f1>>n;
	f1.close();
	ofstream f2("dnton.out");
	for(long int i=1;i<=n;i++)
	{
		if(prime(i)==1) f2<<i<<endl; 
	}
	f2.close();
	return 0;
}
